<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: HumanCommandMelee2 Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/da8/class_human_command_melee2.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">HumanCommandMelee2 Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a69b524713ac349ed6150b42dbb6ddfae"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/da8/class_human_command_melee2.html#a69b524713ac349ed6150b42dbb6ddfae">HumanCommandMelee2</a> ()</td></tr>
<tr class="separator:a69b524713ac349ed6150b42dbb6ddfae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a251147f5cb7464fffe2f25dd96727975"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/da8/class_human_command_melee2.html#a251147f5cb7464fffe2f25dd96727975">~HumanCommandMelee2</a> ()</td></tr>
<tr class="separator:a251147f5cb7464fffe2f25dd96727975"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac919c9d912bc9c6c3aca79e2ef68bd76"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/da8/class_human_command_melee2.html#ac919c9d912bc9c6c3aca79e2ef68bd76">ContinueCombo</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> pHeavyHit, <a class="el" href="../../d4/dc3/classfloat.html">float</a> pComboValue, <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> target=null, <a class="el" href="../../d7/dfc/classvector.html">vector</a> hitPos=<a class="el" href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">vector.Zero</a>)</td></tr>
<tr class="memdesc:ac919c9d912bc9c6c3aca79e2ef68bd76"><td class="mdescLeft">&#160;</td><td class="mdescRight">marks command to continue to combo  <a href="../../d2/da8/class_human_command_melee2.html#ac919c9d912bc9c6c3aca79e2ef68bd76">More...</a><br /></td></tr>
<tr class="separator:ac919c9d912bc9c6c3aca79e2ef68bd76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac33a2856e97c2cefebdf9de3f94d29a"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/da8/class_human_command_melee2.html#aac33a2856e97c2cefebdf9de3f94d29a">IsInComboRange</a> ()</td></tr>
<tr class="memdesc:aac33a2856e97c2cefebdf9de3f94d29a"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns true if hit is in range, where person can continue to combo  <a href="../../d2/da8/class_human_command_melee2.html#aac33a2856e97c2cefebdf9de3f94d29a">More...</a><br /></td></tr>
<tr class="separator:aac33a2856e97c2cefebdf9de3f94d29a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a524f4ddad52cba47558e2d483cb89dea"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/da8/class_human_command_melee2.html#a524f4ddad52cba47558e2d483cb89dea">WasHit</a> ()</td></tr>
<tr class="memdesc:a524f4ddad52cba47558e2d483cb89dea"><td class="mdescLeft">&#160;</td><td class="mdescRight">is true only once after hit event  <a href="../../d2/da8/class_human_command_melee2.html#a524f4ddad52cba47558e2d483cb89dea">More...</a><br /></td></tr>
<tr class="separator:a524f4ddad52cba47558e2d483cb89dea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9ffa66c546ab428f3c4e747424d714e"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/da8/class_human_command_melee2.html#ac9ffa66c546ab428f3c4e747424d714e">Cancel</a> ()</td></tr>
<tr class="memdesc:ac9ffa66c546ab428f3c4e747424d714e"><td class="mdescLeft">&#160;</td><td class="mdescRight">cancels command melee and goes to <a class="el" href="../../dd/db0/class_human_command_move.html">HumanCommandMove</a>  <a href="../../d2/da8/class_human_command_melee2.html#ac9ffa66c546ab428f3c4e747424d714e">More...</a><br /></td></tr>
<tr class="separator:ac9ffa66c546ab428f3c4e747424d714e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae26f17f8d8b14c29f1b1145e8b3fcaa6"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/da8/class_human_command_melee2.html#ae26f17f8d8b14c29f1b1145e8b3fcaa6">IsOnBack</a> ()</td></tr>
<tr class="memdesc:ae26f17f8d8b14c29f1b1145e8b3fcaa6"><td class="mdescLeft">&#160;</td><td class="mdescRight">is on back in prone stance?  <a href="../../d2/da8/class_human_command_melee2.html#ae26f17f8d8b14c29f1b1145e8b3fcaa6">More...</a><br /></td></tr>
<tr class="separator:ae26f17f8d8b14c29f1b1145e8b3fcaa6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a424d4b6baca160d32f4a5462974bece8"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/da8/class_human_command_melee2.html#a424d4b6baca160d32f4a5462974bece8">GetComboCount</a> ()</td></tr>
<tr class="separator:a424d4b6baca160d32f4a5462974bece8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a64aef66e238902312542d9aa54ba742c"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/da8/class_human_command_melee2.html#a64aef66e238902312542d9aa54ba742c">HIT_TYPE_LIGHT</a> = 0</td></tr>
<tr class="separator:a64aef66e238902312542d9aa54ba742c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a621a064f10e6fed060346a74828de5f4"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/da8/class_human_command_melee2.html#a621a064f10e6fed060346a74828de5f4">HIT_TYPE_HEAVY</a> = 1</td></tr>
<tr class="separator:a621a064f10e6fed060346a74828de5f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a606c5d5654ff1f9c561b80f5868904aa"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/da8/class_human_command_melee2.html#a606c5d5654ff1f9c561b80f5868904aa">HIT_TYPE_FINISHER</a> = 2</td></tr>
<tr class="separator:a606c5d5654ff1f9c561b80f5868904aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d4/d9e/human_8c_source.html#l00480">480</a> of file <a class="el" href="../../d4/d9e/human_8c_source.html">human.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a69b524713ac349ed6150b42dbb6ddfae" name="a69b524713ac349ed6150b42dbb6ddfae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69b524713ac349ed6150b42dbb6ddfae">&#9670;&#160;</a></span>HumanCommandMelee2()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void HumanCommandMelee2::HumanCommandMelee2 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9e/human_8c_source.html#l00482">482</a> of file <a class="el" href="../../d4/d9e/human_8c_source.html">human.c</a>.</p>

</div>
</div>
<a id="a251147f5cb7464fffe2f25dd96727975" name="a251147f5cb7464fffe2f25dd96727975"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a251147f5cb7464fffe2f25dd96727975">&#9670;&#160;</a></span>~HumanCommandMelee2()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void HumanCommandMelee2::~HumanCommandMelee2 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9e/human_8c_source.html#l00483">483</a> of file <a class="el" href="../../d4/d9e/human_8c_source.html">human.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ac9ffa66c546ab428f3c4e747424d714e" name="ac9ffa66c546ab428f3c4e747424d714e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9ffa66c546ab428f3c4e747424d714e">&#9670;&#160;</a></span>Cancel()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void HumanCommandMelee2::Cancel </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>cancels command melee and goes to <a class="el" href="../../dd/db0/class_human_command_move.html">HumanCommandMove</a> </p>

</div>
</div>
<a id="ac919c9d912bc9c6c3aca79e2ef68bd76" name="ac919c9d912bc9c6c3aca79e2ef68bd76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac919c9d912bc9c6c3aca79e2ef68bd76">&#9670;&#160;</a></span>ContinueCombo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void HumanCommandMelee2::ContinueCombo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>pHeavyHit</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pComboValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>target</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>hitPos</em> = <code><a class="el" href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">vector.Zero</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>marks command to continue to combo </p>

</div>
</div>
<a id="a424d4b6baca160d32f4a5462974bece8" name="a424d4b6baca160d32f4a5462974bece8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a424d4b6baca160d32f4a5462974bece8">&#9670;&#160;</a></span>GetComboCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> HumanCommandMelee2::GetComboCount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aac33a2856e97c2cefebdf9de3f94d29a" name="aac33a2856e97c2cefebdf9de3f94d29a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac33a2856e97c2cefebdf9de3f94d29a">&#9670;&#160;</a></span>IsInComboRange()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> HumanCommandMelee2::IsInComboRange </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>returns true if hit is in range, where person can continue to combo </p>

</div>
</div>
<a id="ae26f17f8d8b14c29f1b1145e8b3fcaa6" name="ae26f17f8d8b14c29f1b1145e8b3fcaa6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae26f17f8d8b14c29f1b1145e8b3fcaa6">&#9670;&#160;</a></span>IsOnBack()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> HumanCommandMelee2::IsOnBack </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>is on back in prone stance? </p>

</div>
</div>
<a id="a524f4ddad52cba47558e2d483cb89dea" name="a524f4ddad52cba47558e2d483cb89dea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a524f4ddad52cba47558e2d483cb89dea">&#9670;&#160;</a></span>WasHit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> HumanCommandMelee2::WasHit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>is true only once after hit event </p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a606c5d5654ff1f9c561b80f5868904aa" name="a606c5d5654ff1f9c561b80f5868904aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a606c5d5654ff1f9c561b80f5868904aa">&#9670;&#160;</a></span>HIT_TYPE_FINISHER</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> HumanCommandMelee2::HIT_TYPE_FINISHER = 2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9e/human_8c_source.html#l00487">487</a> of file <a class="el" href="../../d4/d9e/human_8c_source.html">human.c</a>.</p>

</div>
</div>
<a id="a621a064f10e6fed060346a74828de5f4" name="a621a064f10e6fed060346a74828de5f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a621a064f10e6fed060346a74828de5f4">&#9670;&#160;</a></span>HIT_TYPE_HEAVY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> HumanCommandMelee2::HIT_TYPE_HEAVY = 1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9e/human_8c_source.html#l00486">486</a> of file <a class="el" href="../../d4/d9e/human_8c_source.html">human.c</a>.</p>

</div>
</div>
<a id="a64aef66e238902312542d9aa54ba742c" name="a64aef66e238902312542d9aa54ba742c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64aef66e238902312542d9aa54ba742c">&#9670;&#160;</a></span>HIT_TYPE_LIGHT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> HumanCommandMelee2::HIT_TYPE_LIGHT = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9e/human_8c_source.html#l00485">485</a> of file <a class="el" href="../../d4/d9e/human_8c_source.html">human.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/<a class="el" href="../../d4/d9e/human_8c_source.html">human.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d2/da8/class_human_command_melee2.html">HumanCommandMelee2</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
